XreplyAIDevelopers
API ReferencePreferences & Styles

Update generation preferences

Requires scope: `preferences:write`. Merges the supplied fields into existing preferences.

PATCH
/preferences
AuthorizationBearer <token>

A personal API key created in the dashboard (Starter, Pro, and Team plans).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/preferences" \  -H "Content-Type: application/json" \  -d '{    "preferences": {      "tone": "punchy",      "include_emoji": true,      "timezone": "Europe/London",      "ai_model": "claude-opus"    }  }'
{  "preferences": {    "tone": "string",    "include_emoji": true,    "structure": "string",    "custom_rules": "string",    "timezone": "string",    "use_post_metrics_for_ai": true,    "theme": "light",    "ai_model": "string",    "available_ai_models": [      {        "id": "string",        "label": "string",        "premium": true,        "typical_cost_micros": 0      }    ],    "email_notifications": {      "post_failure": true,      "weekly_briefing": true,      "product_tips": true,      "re_engagement": true    }  }}